Download it now!
Bug 34422 - functionality request for Writer: function of distribution selected graphical objects as in LibreDraw
Summary: functionality request for Writer: function of distribution selected graphical...
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Enhancements
  Show dependency treegraph
 
Reported: 2011-02-17 22:22 UTC by sasha.libreoffice
Modified: 2018-07-25 11:26 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
explanation of function "Evenly distribution" (20.50 KB, application/msword)
2011-03-23 23:43 UTC, sasha.libreoffice
Details
Sample for an altrnative solution (14.03 KB, application/vnd.oasis.opendocument.text)
2011-04-03 21:47 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2011-02-17 22:22:13 UTC
Often I need create documents to print and distribute among children (students). Documents contain graphical objects like this:
 O O O O O O O O O
 O O O O O O O O O
but made from circles, squares and other shapes. I create this shapes, but here is no function or method to equally distribute this vertically or horizontally.
For experienced user it is no problem, hi knows Inkskape. But for beginner it is problem.

I propose add function of equally distribution vertically or horizontally selected graphical objects.
Comment 1 Rainer Bielefeld Retired 2011-03-23 20:52:08 UTC
@sasha:
Can you please attach a sample document containing such a shape, the result you want, explication of the way you reach the result and some additional explication how you would like to reach the result in future?.
Currently I have some problems to understand what exactly you need.
Comment 2 sasha.libreoffice 2011-03-23 23:43:23 UTC
Created attachment 44778 [details]
explanation of function "Evenly distribution"
Comment 3 Rainer Bielefeld Retired 2011-04-03 21:47:46 UTC
Created attachment 45207 [details]
Sample for an altrnative solution

My example shows an other solution without requested function for the problem. It is different, but imho not more time-consuming, and I do not think that all software has to offer solutions exactly in the WIN Office way. A new function might increase scope of LibO, but it definitively increases complexity.

Currently my private opinion is: we do not need that until someone brings up a problem that can be solved with requested function really much better than with currently available tools. 

But as I said, It's my private opinion.
Comment 4 Rainer Bielefeld Retired 2011-04-03 21:48:37 UTC
Lower importance due to Comment 3
Comment 5 sasha.libreoffice 2011-04-04 06:22:00 UTC
Thanks for idea. It is interesting. And in Help is nothing about distribute. There should be this method of distributing objects, because it is fast and simply. 

And about 
>solutions exactly in the WIN Office way
function of distribution exist not only on Windows. InkScape has also this function. But there this result my be achived not only by distribute-evenly but by multy-copy function.

But with using InkScape is another problem: image from InkScape can not copy-pasted to Office on Linux. And Office do not opens SVG files correctly.

In any way, thanks for idea! It will be useful.
Comment 6 sasha.libreoffice 2011-05-20 03:50:55 UTC
Even in LibreDraw exist this functionality: select 3 objects and do Modify -> Distribution. Appears dialog with needed functionality.
Comment 7 Björn Michaelsen 2011-12-23 11:49:11 UTC Comment hidden (obsolete)
Comment 8 sasha.libreoffice 2012-01-01 23:03:06 UTC
remains in LibO 3.5.0 beta 1
Comment 9 Roman Eisele 2012-05-03 10:25:53 UTC
This is a Writer issue (see comment #6!), therefore changed the 'Component' field accordingly.
Comment 10 Roman Kuznetsov 2018-07-24 18:31:42 UTC
Armin, IMHO it is WONTFIX, because handling objects in Writer is different from Draw. What do you think?
Comment 11 Armin Le Grand 2018-07-25 07:38:30 UTC
@Xisco: Unfortunately I agree - would be nice to have, but too different in Writer. So different, that it would be a complete new implementation, no chance to reuse existing stuff. Even multi-select objects in Writer is hard, then all the anchoring stuff that would need to be handled when mowing objects around (that's what distribute does).
Better do distribute in Writer, create a grouped object and copy over ...